package com.zivilon.cindercore.mixins;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Dynamic;
import org.spongepowered.asm.mixin.Shadow;
import net.minecraft.item.ItemStack;
import net.minecraft.network.play.server.S2FPacketSetSlot;

@Mixin(S2FPacketSetSlot.class)
public abstract class MixinS2FPacketSetSlot {

    @Shadow private int field_149179_a;
    @Shadow private int field_149177_b;
    @Shadow private ItemStack field_149178_c;

    @Dynamic
    public int func_149175_c() {
        return this.field_149179_a;
    }

    @Dynamic
    public int func_149173_d() {
        return this.field_149177_b;
    }

    @Dynamic
    public ItemStack func_149174_e() {
        return this.field_149178_c;
    }
}
